# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`wifi`](#wifi): Manage Wi-Fi configuration

### Defined types

* [`wifi::infrastructure`](#wifiinfrastructure): This define configure a Wi-Fi connection to a network

### Functions

* [`wifi::wpa_passphrase`](#wifiwpa_passphrase): Generate the 256-bit pre-shared WPA key for a Wi-Fi network

## Classes

### <a name="wifi"></a>`wifi`

Manage Wi-Fi configuration

## Defined types

### <a name="wifiinfrastructure"></a>`wifi::infrastructure`

This define configure a Wi-Fi connection to a network

#### Parameters

The following parameters are available in the `wifi::infrastructure` defined type:

* [`dns`](#dns)
* [`mac`](#mac)
* [`psk`](#psk)
* [`ssid`](#ssid)
* [`uuid`](#uuid)
* [`priority`](#priority)
* [`ensure`](#ensure)

##### <a name="dns"></a>`dns`

Data type: `Array[String]`

DNS servers to use with this connection

Default value: `[]`

##### <a name="mac"></a>`mac`

Data type: `Optional[String]`

MAC address of the Access Point

Default value: ``undef``

##### <a name="psk"></a>`psk`

Data type: `Optional[String[8,64]]`

Pre-Shared Key to use for authentication

Default value: ``undef``

##### <a name="ssid"></a>`ssid`

Data type: `Optional[String]`

Service Set IDentifier (SSID) of the network

Default value: `$name`

##### <a name="uuid"></a>`uuid`

Data type: `Optional[String]`

UUID of the network

Default value: ``undef``

##### <a name="priority"></a>`priority`

Data type: `Optional[Integer]`

Priority of this AP

Default value: ``undef``

##### <a name="ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`



Default value: `'present'`

## Functions

### <a name="wifiwpa_passphrase"></a>`wifi::wpa_passphrase`

Type: Ruby 4.x API

Generate the 256-bit pre-shared WPA key for a Wi-Fi network

#### `wifi::wpa_passphrase(String $ssid, String[8,63] $passphrase)`

The wifi::wpa_passphrase function.

Returns: `String` The hashed passphrase

##### `ssid`

Data type: `String`

SSID of the network

##### `passphrase`

Data type: `String[8,63]`

Passphrase used for authentication on the network

#### `wifi::wpa_passphrase(String $ssid, Undef $passphrase)`

The wifi::wpa_passphrase function.

Returns: `Undef`

##### `ssid`

Data type: `String`



##### `passphrase`

Data type: `Undef`



